PCI_MATCH_DEVICE(9)

NAME
pci_match_device - Tell if a PCI device structure has a matching

SYNOPSIS

const struct pci_device_id * pci_match_device (struct pci_driver * drv, struct pci_dev * dev);

ARGUMENTS

drv the PCI driver to match against

dev the PCI device structure to match against

DESCRIPTION

Used by a driver to check whether a PCI device present in the system is in its list of supported devices. Returns the matching pci_device_id structure or NULL if there is no match.

DESCRIPTION

Used by a driver to check whether a PCI device present in the system is in its list of supported devices. Returns the matching pci_device_id structure or NULL if there is no match.